> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Ontology Terms Transitive Closure

> Retrieve all paths between two ontology terms (i.e. transitive closure).

Example: ontology_term_id_start = UBERON_0003663,

ontology_term_id_end = UBERON_0014892



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /ontology-terms/{ontology_term_id_start}/transitive-closure/{ontology_term_id_end}
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /ontology-terms/{ontology_term_id_start}/transitive-closure/{ontology_term_id_end}:
    get:
      summary: Ontology Terms Transitive Closure
      description: |-
        Retrieve all paths between two ontology terms (i.e. transitive closure).

        Example: ontology_term_id_start = UBERON_0003663,

        ontology_term_id_end = UBERON_0014892
      operationId: ontologyTermTransitiveClosure
      parameters:
        - name: ontology_term_id_start
          in: path
          required: true
          schema:
            type: string
        - name: ontology_term_id_end
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  vertices:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        uri:
                          type: string
                        term_id:
                          type: string
                        name:
                          type: string
                        synonyms:
                          type: array
                          items:
                            type: string
                        description:
                          type: string
                        source:
                          type: string
                        subontology:
                          type: string
                          nullable: true
                      required:
                        - uri
                        - term_id
                        - name
                        - synonyms
                        - description
                        - source
                      additionalProperties: false
                  paths:
                    type: array
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          from:
                            type: string
                          to:
                            type: string
                          name:
                            type: string
                        required:
                          - from
                          - to
                          - name
                        additionalProperties: false
                required:
                  - vertices
                  - paths
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````